net.corda.flows

## Class ServiceRequestMessageKt

- net.corda.flows.ServiceRequestMessageKt

-     public class ServiceRequestMessageKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <R> com.google.common.util.concurrent.ListenableFuture<R>` | `sendRequest(MessagingService $receiver, java.lang.String topic, ServiceRequestMessage request, MessageRecipients target)` Sends a `interface ServiceRequestMessage` to target and returns a ListenableFuture of the response.

- - ### Method Detail

    - #### sendRequest

          public static <R> com.google.common.util.concurrent.ListenableFuture<R> sendRequest(MessagingService $receiver,
                                                                                              java.lang.String topic,
                                                                                              ServiceRequestMessage request,
                                                                                              MessageRecipients target)

      Sends a `interface ServiceRequestMessage` to target and returns a ListenableFuture of the response.

      Type Parameters:
        `R` - The type of the response.
      See Also:
        `interface ServiceRequestMessage`